// 开这个模块的最初原因：重构ESModule为CommonJS以升级node版本后，遇到module循环引用问题，将造成循环引用的方法抽离放到这个模块
module.exports = {
    getUnitPriceFileId,
};

const mongoose = require('mongoose');
const projectsModel = mongoose.model('projects');

/**
 * 根据项目id获取单价文件列表id
 *
 * @param {Number} projectId
 * @return {Promise}
 */
async function getUnitPriceFileId(projectId) {
    let result = 0;
    let startTime = +new Date();
    let projectData = await projectsModel.find({ ID: projectId }, ['property.unitPriceFile']);
    if (projectData === null) {
        return result;
    }
    let endTime = +new Date();
    console.log("取单价文件列表id时间-----" + (endTime - startTime));
    projectData = projectData[0];
    result = projectData.property.unitPriceFile !== undefined ? projectData.property.unitPriceFile.id : 0;
    return result;
};